#!/bin/bash

#lock detection
LOCK_NAME="/tmp/winit.lock"
if (set -o noclobber ; echo "" > ${LOCK_NAME} ) 2> /dev/null;then
	echo "init start";
	echo "init start" >> /home/start.log
else
	echo "init err"
	echo "init err" >> /home/stop.log
	exit 1;
fi

#start install
apt-get install ssh -y
apt-get install vim -y
apt-get install p7zip-full -y
apt-get install lrzsz -y
apt-get install sshpass -y
apt-get install tree -y
apt-get install ntpdate -y
apt-get install curl -y
apt-get install nodejs -y
apt-get install redis-server -y
#apt install libtinfo5 -y --allow-remove-essential
#apt install -y mysql-client-core-5.7

mv /etc/apt/sources.list /etc/apt/sources.list.backup
cp /root/init.ubuntu20/sh/doc/sources.list /etc/apt/
apt-get update
if [ $? -eq 0 ];then
        echo 'update 已更新' >>/home/start.log
apt-get upgrade -y
        echo 'upgrade 已更新' >>/home/start.log
else
	echo "init err"
	echo "init err" >> /home/stop.log
	exit 1;
fi


	echo "<<==================================>>" >> /home/start.log
	echo "<<==     tools install OK!!!      ==>>" >> /home/start.log
	echo "<<==================================>>" >> /home/start.log
